<?php
namespace app\admin\controller;

use app\admin\controller\Admin;

class Auth extends Admin
{
    //定义表单字段列表
    protected function fields($data=[])
    {
        return model('admin/Auth','loglic')->fields($data);
    }
    
    //定义表单初始数据
    protected function formData()
    {
        if( $id = input('id/d',0) ){
            return \daicuo\Op::data_value( \daicuo\Op::get_id($id, false) );
		}
        return [];
    }

    //定义表格数据（JSON）
    protected function ajaxJson()
    {
        //查询参数
        $args = array();
        $args['cache']  = false;
        $args['field']  = 'op_id,op_name,op_value,op_module,op_controll,op_action,op_order,op_status';
        $args['sort']   = DcEmpty($this->query['sortName'],'op_id');
        $args['order']  = DcEmpty($this->query['sortOrder'],'desc');
        $args['where']  = DcWhereQuery(['op_module','op_status'], 'eq', $this->query);
        $args['where']['op_controll'] = ['eq', 'auth'];
        if( $this->query['searchText'] ){
            $args['where']['op_name|op_value'] = ['like','%'.DcHtml($this->query['searchText'].'%')];
        }
        //格式化数据
        $list = \daicuo\Op::all($args);
        foreach($list as $key=>$value){
            $list[$key]['auth_roles_tips'] = lang($value['op_name']);
            $list[$key]['auth_caps_tips'] = lang(DcParseUrl($value['op_value'],'path'));
        }
        //数据返回
        return DcEmpty($list,[]);
    }
    
	public function save()
    {
        config('common.validate_name', 'common/Op');
        
		if( !$op_id = \daicuo\Op::save(input('post.')) ){
			$this->error(\daicuo\Op::getError());
		}
        
        DcCache('auth_all', null);
        
		$this->success(lang('success'));
	}
    
	public function delete()
    {
        $ids = input('id/a');
		if(!$ids){
			$this->error(lang('mustIn'));
		}
        
        foreach($ids as $id){
            \daicuo\Op::delete_id($id);
        }
        
        DcCache('auth_all', null);
        
        $this->success(lang('success'));
	}
	
	//修改一条规则到数据库
	public function update()
    {
        $data = input('post.');
        
        config('common.validate_name', 'common/Op');
        
        $info = \daicuo\Op::update_id($data['op_id'], $data);
        
        if(is_null($info)){
            $this->error(\daicuo\Op::getError());
        }
        
        DcCache('auth_all', null);
        
        $this->success(lang('success'));
	}
}