<?php
namespace app\admin\loglic;

class Config
{
    public function fields()
    {
        return [
        [
            'title' => lang('admin/op/index'),
            'items' => [
                [
                    'type'=>'switch',
                    'name'=>'site_status',
                    'id'=>'site_status',
                    'title'=>lang('site_status'),
                    'tips'=>'',
                    'value'=>config('common.site_status'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-auto',
                ],
                [
                    'type'=>'switch',
                    'name'=>'app_domain',
                    'id'=>'app_domain',
                    'title'=>lang('app_domain'),
                    'tips'=>'',
                    'value'=>config('common.app_domain'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-auto',
                ],
                [
                    'type'=>'switch',
                    'name'=>'site_captcha',
                    'id'=>'site_captcha',
                    'title'=>lang('site_captcha'),
                    'tips'=>'',
                    'value'=>config('common.site_captcha'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-auto',
                ],
                [
                    'type'=>'select',
                    'name'=>'editor_name',
                    'id'=>'editor_name',
                    'title'=>lang('editor_name'),
                    'placeholder'=>lang('editor_name_placeholder'),
                    'tips'=>'',
                    'value'=>config('common.editor_name'),
                    'option'=>DcEditorOption(),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>true,
                    'multiple'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-auto',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'text',
                    'name'=>'site_id',
                    'id'=>'site_id',
                    'title'=>lang('site_id'),
                    'placeholder'=>lang('site_id_placeholder'),
                    'tips'=>DcTplLabelOp('common','site_id').lang('site_token_tips'),
                    'value'=>config('common.site_id'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'text',
                    'name'=>'site_token',
                    'id'=>'site_token',
                    'title'=>lang('site_token'),
                    'placeholder'=>lang('site_token_placeholder'),
                    'tips'=>DcTplLabelOp('common','site_token').lang('site_token_tips'),
                    'value'=>config('common.site_token'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'text',
                    'name'=>'site_name',
                    'id'=>'site_name',
                    'title'=>lang('site_name'),
                    'placeholder'=>lang('site_name_placeholder'),
                    'tips'=>DcTplLabelOp('common','site_name'),
                    'value'=>config('common.site_name'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>true,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6 d-md-flex',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'text',
                    'name'=>'site_domain',
                    'id'=>'site_domain',
                    'title'=>lang('site_domain'),
                    'placeholder'=>lang('site_domain_placeholder'),
                    'tips'=>DcTplLabelOp('common','site_domain'),
                    'value'=>config('common.site_domain'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'text',
                    'name'=>'wap_domain',
                    'id'=>'wap_domain',
                    'title'=>lang('wap_domain'),
                    'placeholder'=>lang('wap_domain_placeholder'),
                    'tips'=>DcTplLabelOp('common','wap_domain'),
                    'value'=>config('common.wap_domain'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'text',
                    'name'=>'url_suffix',
                    'id'=>'url_suffix',
                    'title'=>lang('url_suffix'),
                    'placeholder'=>lang('url_suffix_placeholder'),
                    'tips'=>DcTplLabelOp('common','url_suffix'),
                    'value'=>config('common.url_suffix'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6 d-md-flex',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'text',
                    'name'=>'site_email',
                    'id'=>'site_email',
                    'title'=>lang('site_email'),
                    'placeholder'=>lang('site_email_placeholder'),
                    'tips'=>DcTplLabelOp('common','site_email'),
                    'value'=>config('common.site_email'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6 d-md-flex',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'text',
                    'name'=>'site_close',
                    'id'=>'site_close',
                    'title'=>lang('site_close'),
                    'placeholder'=>lang('site_close_placeholder'),
                    'tips'=>DcTplLabelOp('common','site_close'),
                    'value'=>config('common.site_close'),
                    'rows'=>3,
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'text',
                    'name'=>'site_icp',
                    'id'=>'site_icp',
                    'title'=>lang('site_icp'),
                    'placeholder'=>lang('site_icp_placeholder'),
                    'tips'=>DcTplLabelOp('common','site_icp'),
                    'value'=>config('common.site_icp'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'text',
                    'name'=>'site_gongan',
                    'id'=>'site_gongan',
                    'title'=>lang('site_gongan'),
                    'placeholder'=>lang('site_gongan_placeholder'),
                    'tips'=>DcTplLabelOp('common','site_gongan'),
                    'value'=>config('common.site_gongan'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'textarea',
                    'name'=>'header_tongji',
                    'id'=>'header_tongji',
                    'title'=>lang('header_tongji'),
                    'placeholder'=>lang('header_tongji_placeholder'),
                    'tips'=>DcTplLabelOp('common','header_tongji'),
                    'value'=>config('common.header_tongji'),
                    'rows'=>3,
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'textarea',
                    'name'=>'site_tongji',
                    'id'=>'site_tongji',
                    'title'=>lang('site_tongji'),
                    'placeholder'=>lang('site_tongji_placeholder'),
                    'tips'=>DcTplLabelOp('common','site_tongji'),
                    'value'=>config('common.site_tongji'),
                    'rows'=>3,
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
            ],
        ],
        [
            'title' => lang('op_safe'),
            'items' => [
                [
                    'type'=>'text',
                    'name'=>'site_secret',
                    'id'=>'site_secret',
                    'title'=>lang('site_secret'),
                    'placeholder'=>lang('site_secret_placeholder'),
                    'tips'=>'',
                    'value'=>config('common.site_secret'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'                => 'text',
                    'name'                => 'site_log',
                    'id'                  => 'site_log',
                    'title'               => lang('site_log'),
                    'placeholder'         => lang('site_log_placeholder'),
                    'tips'                => '',
                    'value'               => config('common.site_log'),
                    'readonly'            => false,
                    'disabled'            => false,
                    'required'            => false,
                    'class'               => 'row form-group',
                    'class_left'          => 'col-md-2',
                    'class_right'         => 'col-md-6',
                    'class_right_control' => '',
                    'class_tips'          => '',
                ],
                [
                    'type'=>'text',
                    'name'=>'token_expire',
                    'id'=>'token_expire',
                    'title'=>lang('token_expire'),
                    'placeholder'=>lang('token_expire_placeholder'),
                    'tips'=>'',
                    'value'=>config('common.token_expire'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'text',
                    'name'=>'user_max_expire',
                    'id'=>'user_max_expire',
                    'title'=>lang('user_max_expire'),
                    'placeholder'=>lang('user_max_expire_placeholder'),
                    'tips'=>'',
                    'value'=>config('common.user_max_expire'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'text',
                    'name'=>'user_max_error',
                    'id'=>'user_max_error',
                    'title'=>lang('user_max_error'),
                    'placeholder'=>lang('user_max_error_placeholder'),
                    'tips'=>'',
                    'value'=>config('common.user_max_error'),
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
                [
                    'type'=>'textarea',
                    'name'=>'user_force_white',
                    'id'=>'user_force_white',
                    'title'=>lang('user_force_white'),
                    'placeholder'=>lang('user_force_white_placeholder'),
                    'tips'=>'',
                    'value'=>config('common.user_force_white'),
                    'rows'=>5,
                    'readonly'=>false,
                    'disabled'=>false,
                    'required'=>false,
                    'class'=>'row form-group',
                    'class_left'=>'col-md-2',
                    'class_right'=>'col-md-6',
                    'class_right_control'=>'',
                    'class_tips'=>'',
                ],
            ]
        ],
    ];
  }
}