<?php
namespace app\daohang\event;

class Sql
{
    /**
    * 安装时触发
    * @return bool 只有返回true时才会往下执行
    */
	public function install()
    {
        //批量添加配置
        model('daohang/Datas','loglic')->insertConfig();
        
        //批量添加路由
        model('daohang/Datas','loglic')->insertRoute();
        
        //批量添加权限
        model('daohang/Datas','loglic')->insertAuth();
        
        //批量添加导航
        model('daohang/Datas','loglic')->insertNavs();
        
        //批量添加分类
        model('daohang/Datas','loglic')->insertCategory();
        
        return true;
	}
    
    /**
    * 升级时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function upgrade()
    {
        //删除队列
        for($i=0;$i<1000;$i++){
            model('daohang/Datas','loglic')->deleteTerm('update');
        }
        
        //删除内容
        for($i=0;$i<1000;$i++){
            model('daohang/Datas','loglic')->deleteInfo('update');
        }
        
        //执行升级脚本
        model('daohang/Datas','loglic')->updateFields();
        
        return true;
    }
    
    /**
    * 卸载插件时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function remove()
    {
        //删除配置
        \daicuo\Op::delete_module('daohang');
        
        return true;
    }
    
    /**
    * 删除插件时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function unInstall()
    {
        //删除配置
        \daicuo\Op::delete_module('daohang');
        
        //删除队列
        for($i=0;$i<1000;$i++){
            model('daohang/Datas','loglic')->deleteTerm('uninstall');
        }
        
        //删除内容
        for($i=0;$i<1000;$i++){
            model('daohang/Datas','loglic')->deleteInfo('uninstall');
        }
        
        //返回结果
        return true;
	}
}