<?php
namespace app\user\behavior;

use think\Controller;

class Hook extends Controller
{

    //表格数据
    public function tableBuild(&$params)
    {
        if($params['data-name']=='admin/user/index'){
            $params['columns']['user_score']['data-sortable'] = true;
            $params['columns']['user_pid']['data-sortable'] = true;
        }
    }
    
    // 用户注册前
    public function userRegisterBefore(&$post)
    {
        $post['user_pid']         = userPidGet();
        $post['user_score']       = intval(config('user.score_register'));
        $post['user_module']      = 'user';
        $post['user_controll']    = 'index';
        $post['user_action']      = 'index';
        $post['user_slug']        = '';
        $post['user_create_time'] = '';
        $post['user_update_time'] = '';
        $post['user_nice_name']   = uniqid();
    }
    
    // 用户注册后
    public function userRegisterAfter(&$user)
    {
        //注册初始积分日志
        if($user['user_id'] && config('user.score_register')){
            model('user/Log','loglic')->userScore($user['user_id'], config('user.score_register'), 'register', 'save');
        }
        //邀请注册奖励用户积分日志
        if($user['user_id'] && $user['user_pid'] && config('user.score_invite')){
            if( userScoreInc($user['user_pid'], config('user.score_invite')) ){
                model('user/Log','loglic')->userScore($user['user_pid'], config('user.score_invite'), 'invite', 'save');
            }
        }
    }
    
    // 用户登录前
    public function userLoginBefore(&$post)
    {
        
    }
    
    // 用户登录后
    public function userLoginAfter(&$data)
    {
        
    }
    
    // 用户积分设置
    public function userScoreIndex(&$items)
    {
        
    }
    
    //扩展后台菜单
    public function hookAdminInit(&$params)
    {
        DcConfigMerge('admin_menu.config', [
            [
                'ico'      => 'fa fa-fw fa-user',
                'title'    => 'user/admin/index',
                'module'   => 'user',
                'controll' => 'admin',
                'action'   => 'index',
                'order'    => 191,
                'url'      => DcUrlAddon( ['module'=>'user','controll'=>'admin','action'=>'index'] ),
            ],
            [
                'ico'      => 'fa fa-fw fa-btc',
                'title'    => 'user/score/index',
                'module'   => 'user',
                'controll' => 'score',
                'action'   => 'index',
                'order'    => 192,
                'url'      => DcUrlAddon( ['module'=>'user','controll'=>'score','action'=>'index'] ),
            ],
        ]);
    }
}